Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#333 Build needs GNU sed; should be in docs

closed-out-of-date
nobody
None
5
2003-02-12
2002-05-06
Dave McGuire
No

This is not a bug per se, but it stumped me for a
while when trying to build SDCC under MacOS X (BSD UNIX
environment). Running configure requires the GNU
version of the sed program; the system-supplied sed
blows up. I haven't investigated it fully, but
installing GNU sed allowed me to build and install SDCC
successfully under MacOS X v10.1.4. I believe this
should be added to the documentation, since it likely
affects other non-Linux UNIX platforms as well.

Things are going well otherwise. Keil's C51 is
usable, but the three-crashes-per-day Windows
environment that it requires ISN'T, at least in my
opinion...so SDCC is a great alternative for me to run
on my Mac and my Alpha systems (which run NetBSD).
Please keep up the great work!

-Dave McGuire
mcguire@neurotica.com

Discussion

  • Johan Knol
    Johan Knol
    2003-02-12

    • status: open --> closed-out-of-date